/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2012 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 5.6                   *
*********************************************************************************
* Id: playerdialog.h,                             2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/

#ifndef PLAYERDIALOG_H
#define PLAYERDIALOG_H

class PlayerDialog : public FXDialogBox {
  FXDECLARE(PlayerDialog)

protected:

  FXIcon *cancelicon;
  FXIcon *accepticon;
  FXHorizontalFrame *buttonsframe;

private:
  PlayerDialog(){}
  PlayerDialog(const PlayerDialog&);

public:
  long onCmdAccept(FXObject*,FXSelector,void*);
  long onCmdCancel(FXObject*,FXSelector,void*);

public:
  enum{
    ID_ACCEPT=FXMainWindow::ID_LAST,
    ID_CANCEL,
    ID_LAST
    };

public:
  // Construct copy/move/rename dialog
  PlayerDialog(FXWindow *owner);
  void setCmd(char list[1024], int64_t ts, int64_t td, int x, int y, int l, int f, int d, int a, int v, float ta);
  // Destroy
  virtual ~PlayerDialog();
  };

#endif
